Package org.lwjgl.opengles

# Class GLES30

java.lang.Object
org.lwjgl.opengles.GLES30

public final class GLES30 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH`
`static final int`
`GL_ACTIVE_UNIFORM_BLOCKS`
`static final int`
`GL_ALREADY_SIGNALED`
`static final int`
`GL_ANY_SAMPLES_PASSED`
`static final int`
`GL_ANY_SAMPLES_PASSED_CONSERVATIVE`
`static final int`
`GL_BLUE`
`static final int`
`GL_BUFFER_ACCESS_FLAGS`
`static final int`
`GL_BUFFER_MAP_LENGTH`
`static final int`
`GL_BUFFER_MAP_OFFSET`
`static final int`
`GL_BUFFER_MAP_POINTER`
`static final int`
`GL_BUFFER_MAPPED`
`static final int`
`GL_COLOR`
`static final int`
`GL_COLOR_ATTACHMENT1`
`static final int`
`GL_COLOR_ATTACHMENT10`
`static final int`
`GL_COLOR_ATTACHMENT11`
`static final int`
`GL_COLOR_ATTACHMENT12`
`static final int`
`GL_COLOR_ATTACHMENT13`
`static final int`
`GL_COLOR_ATTACHMENT14`
`static final int`
`GL_COLOR_ATTACHMENT15`
`static final int`
`GL_COLOR_ATTACHMENT2`
`static final int`
`GL_COLOR_ATTACHMENT3`
`static final int`
`GL_COLOR_ATTACHMENT4`
`static final int`
`GL_COLOR_ATTACHMENT5`
`static final int`
`GL_COLOR_ATTACHMENT6`
`static final int`
`GL_COLOR_ATTACHMENT7`
`static final int`
`GL_COLOR_ATTACHMENT8`
`static final int`
`GL_COLOR_ATTACHMENT9`
`static final int`
`GL_COMPARE_REF_TO_TEXTURE`
`static final int`
`GL_COMPRESSED_R11_EAC`
`static final int`
`GL_COMPRESSED_RG11_EAC`
`static final int`
`GL_COMPRESSED_RGB8_ETC2`
`static final int`
`GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2`
`static final int`
`GL_COMPRESSED_RGBA8_ETC2_EAC`
`static final int`
`GL_COMPRESSED_SIGNED_R11_EAC`
`static final int`
`GL_COMPRESSED_SIGNED_RG11_EAC`
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC`
`static final int`
`GL_COMPRESSED_SRGB8_ETC2`
`static final int`
`GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2`
`static final int`
`GL_CONDITION_SATISFIED`
`static final int`
`GL_COPY_READ_BUFFER`
`static final int`
`GL_COPY_READ_BUFFER_BINDING`
`static final int`
`GL_COPY_WRITE_BUFFER`
`static final int`
`GL_COPY_WRITE_BUFFER_BINDING`
`static final int`
`GL_CURRENT_QUERY`
`static final int`
`GL_DEPTH`
`static final int`
`GL_DEPTH_COMPONENT24`
`static final int`
`GL_DEPTH_COMPONENT32F`
`static final int`
`GL_DEPTH_STENCIL`
`static final int`
`GL_DEPTH_STENCIL_ATTACHMENT`
`static final int`
`GL_DEPTH24_STENCIL8`
`static final int`
`GL_DEPTH32F_STENCIL8`
`static final int`
`GL_DRAW_BUFFER0`
`static final int`
`GL_DRAW_BUFFER1`
`static final int`
`GL_DRAW_BUFFER10`
`static final int`
`GL_DRAW_BUFFER11`
`static final int`
`GL_DRAW_BUFFER12`
`static final int`
`GL_DRAW_BUFFER13`
`static final int`
`GL_DRAW_BUFFER14`
`static final int`
`GL_DRAW_BUFFER15`
`static final int`
`GL_DRAW_BUFFER2`
`static final int`
`GL_DRAW_BUFFER3`
`static final int`
`GL_DRAW_BUFFER4`
`static final int`
`GL_DRAW_BUFFER5`
`static final int`
`GL_DRAW_BUFFER6`
`static final int`
`GL_DRAW_BUFFER7`
`static final int`
`GL_DRAW_BUFFER8`
`static final int`
`GL_DRAW_BUFFER9`
`static final int`
`GL_DRAW_FRAMEBUFFER`
`static final int`
`GL_DRAW_FRAMEBUFFER_BINDING`
`static final int`
`GL_DYNAMIC_COPY`
`static final int`
`GL_DYNAMIC_READ`
`static final int`
`GL_FLOAT_32_UNSIGNED_INT_24_8_REV`
`static final int`
`GL_FLOAT_MAT2x3`
`static final int`
`GL_FLOAT_MAT2x4`
`static final int`
`GL_FLOAT_MAT3x2`
`static final int`
`GL_FLOAT_MAT3x4`
`static final int`
`GL_FLOAT_MAT4x2`
`static final int`
`GL_FLOAT_MAT4x3`
`static final int`
`GL_FRAGMENT_SHADER_DERIVATIVE_HINT`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER`
`static final int`
`GL_FRAMEBUFFER_DEFAULT`
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE`
`static final int`
`GL_FRAMEBUFFER_UNDEFINED`
`static final int`
`GL_GREEN`
`static final int`
`GL_HALF_FLOAT`
`static final int`
`GL_INT_2_10_10_10_REV`
`static final int`
`GL_INT_SAMPLER_2D`
`static final int`
`GL_INT_SAMPLER_2D_ARRAY`
`static final int`
`GL_INT_SAMPLER_3D`
`static final int`
`GL_INT_SAMPLER_CUBE`
`static final int`
`GL_INTERLEAVED_ATTRIBS`
`static final int`
`GL_INVALID_INDEX`
`static final int`
`GL_MAJOR_VERSION`
`static final int`
`GL_MAP_FLUSH_EXPLICIT_BIT`
`static final int`
`GL_MAP_INVALIDATE_BUFFER_BIT`
`static final int`
`GL_MAP_INVALIDATE_RANGE_BIT`
`static final int`
`GL_MAP_READ_BIT`
`static final int`
`GL_MAP_UNSYNCHRONIZED_BIT`
`static final int`
`GL_MAP_WRITE_BIT`
`static final int`
`GL_MAX`
`static final int`
`GL_MAX_3D_TEXTURE_SIZE`
`static final int`
`GL_MAX_ARRAY_TEXTURE_LAYERS`
`static final int`
`GL_MAX_COLOR_ATTACHMENTS`
`static final int`
`GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS`
`static final int`
`GL_MAX_COMBINED_UNIFORM_BLOCKS`
`static final int`
`GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS`
`static final int`
`GL_MAX_DRAW_BUFFERS`
`static final int`
`GL_MAX_ELEMENT_INDEX`
`static final int`
`GL_MAX_ELEMENTS_INDICES`
`static final int`
`GL_MAX_ELEMENTS_VERTICES`
`static final int`
`GL_MAX_FRAGMENT_INPUT_COMPONENTS`
`static final int`
`GL_MAX_FRAGMENT_UNIFORM_BLOCKS`
`static final int`
`GL_MAX_FRAGMENT_UNIFORM_COMPONENTS`
`static final int`
`GL_MAX_PROGRAM_TEXEL_OFFSET`
`static final int`
`GL_MAX_SAMPLES`
`static final int`
`GL_MAX_SERVER_WAIT_TIMEOUT`
`static final int`
`GL_MAX_TEXTURE_LOD_BIAS`
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS`
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS`
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS`
`static final int`
`GL_MAX_UNIFORM_BLOCK_SIZE`
`static final int`
`GL_MAX_UNIFORM_BUFFER_BINDINGS`
`static final int`
`GL_MAX_VARYING_COMPONENTS`
`static final int`
`GL_MAX_VERTEX_OUTPUT_COMPONENTS`
`static final int`
`GL_MAX_VERTEX_UNIFORM_BLOCKS`
`static final int`
`GL_MAX_VERTEX_UNIFORM_COMPONENTS`
`static final int`
`GL_MIN`
`static final int`
`GL_MIN_PROGRAM_TEXEL_OFFSET`
`static final int`
`GL_MINOR_VERSION`
`static final int`
`GL_NUM_EXTENSIONS`
`static final int`
`GL_NUM_PROGRAM_BINARY_FORMATS`
`static final int`
`GL_NUM_SAMPLE_COUNTS`
`static final int`
`GL_OBJECT_TYPE`
`static final int`
`GL_PACK_IMAGE_HEIGHT`
`static final int`
`GL_PACK_ROW_LENGTH`
`static final int`
`GL_PACK_SKIP_IMAGES`
`static final int`
`GL_PACK_SKIP_PIXELS`
`static final int`
`GL_PACK_SKIP_ROWS`
`static final int`
`GL_PIXEL_PACK_BUFFER`
`static final int`
`GL_PIXEL_PACK_BUFFER_BINDING`
`static final int`
`GL_PIXEL_UNPACK_BUFFER`
`static final int`
`GL_PIXEL_UNPACK_BUFFER_BINDING`
`static final int`
`GL_PRIMITIVE_RESTART_FIXED_INDEX`
`static final int`
`GL_PROGRAM_BINARY_FORMATS`
`static final int`
`GL_PROGRAM_BINARY_LENGTH`
`static final int`
`GL_PROGRAM_BINARY_RETRIEVABLE_HINT`
`static final int`
`GL_QUERY_RESULT`
`static final int`
`GL_QUERY_RESULT_AVAILABLE`
`static final int`
`GL_R11F_G11F_B10F`
`static final int`
`GL_R16F`
`static final int`
`GL_R16I`
`static final int`
`GL_R16UI`
`static final int`
`GL_R32F`
`static final int`
`GL_R32I`
`static final int`
`GL_R32UI`
`static final int`
`GL_R8`
`static final int`
`GL_R8_SNORM`
`static final int`
`GL_R8I`
`static final int`
`GL_R8UI`
`static final int`
`GL_RASTERIZER_DISCARD`
`static final int`
`GL_READ_BUFFER`
`static final int`
`GL_READ_FRAMEBUFFER`
`static final int`
`GL_READ_FRAMEBUFFER_BINDING`
`static final int`
`GL_RED`
`static final int`
`GL_RED_INTEGER`
`static final int`
`GL_RENDERBUFFER_SAMPLES`
`static final int`
`GL_RG`
`static final int`
`GL_RG_INTEGER`
`static final int`
`GL_RG16F`
`static final int`
`GL_RG16I`
`static final int`
`GL_RG16UI`
`static final int`
`GL_RG32F`
`static final int`
`GL_RG32I`
`static final int`
`GL_RG32UI`
`static final int`
`GL_RG8`
`static final int`
`GL_RG8_SNORM`
`static final int`
`GL_RG8I`
`static final int`
`GL_RG8UI`
`static final int`
`GL_RGB_INTEGER`
`static final int`
`GL_RGB10_A2`
`static final int`
`GL_RGB10_A2UI`
`static final int`
`GL_RGB16F`
`static final int`
`GL_RGB16I`
`static final int`
`GL_RGB16UI`
`static final int`
`GL_RGB32F`
`static final int`
`GL_RGB32I`
`static final int`
`GL_RGB32UI`
`static final int`
`GL_RGB8`
`static final int`
`GL_RGB8_SNORM`
`static final int`
`GL_RGB8I`
`static final int`
`GL_RGB8UI`
`static final int`
`GL_RGB9_E5`
`static final int`
`GL_RGBA_INTEGER`
`static final int`
`GL_RGBA16F`
`static final int`
`GL_RGBA16I`
`static final int`
`GL_RGBA16UI`
`static final int`
`GL_RGBA32F`
`static final int`
`GL_RGBA32I`
`static final int`
`GL_RGBA32UI`
`static final int`
`GL_RGBA8`
`static final int`
`GL_RGBA8_SNORM`
`static final int`
`GL_RGBA8I`
`static final int`
`GL_RGBA8UI`
`static final int`
`GL_SAMPLER_2D_ARRAY`
`static final int`
`GL_SAMPLER_2D_ARRAY_SHADOW`
`static final int`
`GL_SAMPLER_2D_SHADOW`
`static final int`
`GL_SAMPLER_3D`
`static final int`
`GL_SAMPLER_BINDING`
`static final int`
`GL_SAMPLER_CUBE_SHADOW`
`static final int`
`GL_SEPARATE_ATTRIBS`
`static final int`
`GL_SIGNALED`
`static final int`
`GL_SIGNED_NORMALIZED`
`static final int`
`GL_SRGB`
`static final int`
`GL_SRGB8`
`static final int`
`GL_SRGB8_ALPHA8`
`static final int`
`GL_STATIC_COPY`
`static final int`
`GL_STATIC_READ`
`static final int`
`GL_STENCIL`
`static final int`
`GL_STREAM_COPY`
`static final int`
`GL_STREAM_READ`
`static final int`
`GL_SYNC_CONDITION`
`static final int`
`GL_SYNC_FENCE`
`static final int`
`GL_SYNC_FLAGS`
`static final int`
`GL_SYNC_FLUSH_COMMANDS_BIT`
`static final int`
`GL_SYNC_GPU_COMMANDS_COMPLETE`
`static final int`
`GL_SYNC_STATUS`
`static final int`
`GL_TEXTURE_2D_ARRAY`
`static final int`
`GL_TEXTURE_3D`
`static final int`
`GL_TEXTURE_BASE_LEVEL`
`static final int`
`GL_TEXTURE_BINDING_2D_ARRAY`
`static final int`
`GL_TEXTURE_BINDING_3D`
`static final int`
`GL_TEXTURE_COMPARE_FUNC`
`static final int`
`GL_TEXTURE_COMPARE_MODE`
`static final int`
`GL_TEXTURE_IMMUTABLE_FORMAT`
`static final int`
`GL_TEXTURE_MAX_LEVEL`
`static final int`
`GL_TEXTURE_MAX_LOD`
`static final int`
`GL_TEXTURE_MIN_LOD`
`static final int`
`GL_TEXTURE_SWIZZLE_A`
`static final int`
`GL_TEXTURE_SWIZZLE_B`
`static final int`
`GL_TEXTURE_SWIZZLE_G`
`static final int`
`GL_TEXTURE_SWIZZLE_R`
`static final int`
`GL_TEXTURE_WRAP_R`
`static final int`
`GL_TIMEOUT_EXPIRED`
`static final long`
`GL_TIMEOUT_IGNORED`
`static final int`
`GL_TRANSFORM_FEEDBACK`
`static final int`
`GL_TRANSFORM_FEEDBACK_ACTIVE`
`static final int`
`GL_TRANSFORM_FEEDBACK_BINDING`
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER`
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_BINDING`
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_MODE`
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_SIZE`
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_START`
`static final int`
`GL_TRANSFORM_FEEDBACK_PAUSED`
`static final int`
`GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN`
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH`
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYINGS`
`static final int`
`GL_UNIFORM_ARRAY_STRIDE`
`static final int`
`GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES`
`static final int`
`GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS`
`static final int`
`GL_UNIFORM_BLOCK_BINDING`
`static final int`
`GL_UNIFORM_BLOCK_DATA_SIZE`
`static final int`
`GL_UNIFORM_BLOCK_INDEX`
`static final int`
`GL_UNIFORM_BLOCK_NAME_LENGTH`
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER`
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER`
`static final int`
`GL_UNIFORM_BUFFER`
`static final int`
`GL_UNIFORM_BUFFER_BINDING`
`static final int`
`GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT`
`static final int`
`GL_UNIFORM_BUFFER_SIZE`
`static final int`
`GL_UNIFORM_BUFFER_START`
`static final int`
`GL_UNIFORM_IS_ROW_MAJOR`
`static final int`
`GL_UNIFORM_MATRIX_STRIDE`
`static final int`
`GL_UNIFORM_NAME_LENGTH`
`static final int`
`GL_UNIFORM_OFFSET`
`static final int`
`GL_UNIFORM_SIZE`
`static final int`
`GL_UNIFORM_TYPE`
`static final int`
`GL_UNPACK_IMAGE_HEIGHT`
`static final int`
`GL_UNPACK_ROW_LENGTH`
`static final int`
`GL_UNPACK_SKIP_IMAGES`
`static final int`
`GL_UNPACK_SKIP_PIXELS`
`static final int`
`GL_UNPACK_SKIP_ROWS`
`static final int`
`GL_UNSIGNALED`
`static final int`
`GL_UNSIGNED_INT_10F_11F_11F_REV`
`static final int`
`GL_UNSIGNED_INT_2_10_10_10_REV`
`static final int`
`GL_UNSIGNED_INT_24_8`
`static final int`
`GL_UNSIGNED_INT_5_9_9_9_REV`
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D`
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_ARRAY`
`static final int`
`GL_UNSIGNED_INT_SAMPLER_3D`
`static final int`
`GL_UNSIGNED_INT_SAMPLER_CUBE`
`static final int`
`GL_UNSIGNED_INT_VEC2`
`static final int`
`GL_UNSIGNED_INT_VEC3`
`static final int`
`GL_UNSIGNED_INT_VEC4`
`static final int`
`GL_UNSIGNED_NORMALIZED`
`static final int`
`GL_VERTEX_ARRAY_BINDING`
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_DIVISOR`
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_INTEGER`
`static final int`
`GL_WAIT_FAILED`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginQuery(int target, int id)`
`static void`
`glBeginTransformFeedback(int primitiveMode)`
`static void`
`glBindBufferBase(int target, int index, int buffer)`
`static void`
`glBindBufferRange(int target, int index, int buffer, long offset, long size)`
`static void`
`glBindSampler(int unit, int sampler)`
`static void`
`glBindTransformFeedback(int target, int id)`
`static void`
`glBindVertexArray(int array)`
`static void`
`glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)`
Transfers a rectangle of pixel values from one region of the read framebuffer to another in the draw framebuffer.
`static void`
`glClearBuffer(int buffer, int drawbuffer, FloatBuffer value)`
`static void`
`glClearBuffer(int buffer, int drawbuffer, IntBuffer value)`
`static void`
`glClearBufferfi(int buffer, int drawbuffer, float depth, int stencil)`
`static void`
`glClearBufferu(int buffer, int drawbuffer, IntBuffer value)`
`static int`
`glClientWaitSync(GLSync sync, int flags, long timeout)`
`static void`
`glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)`
`static void`
`glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)`
`static void`
`glCopyBufferSubData(int readtarget, int writetarget, long readoffset, long writeoffset, long size)`
`static void`
`glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`static void`
`glDeleteQueries(int id)`
Overloads glDeleteQueries.
`static void`
`glDeleteQueries(IntBuffer ids)`
`static void`
`glDeleteSamplers(int sampler)`
Overloads glDeleteSamplers.
`static void`
`glDeleteSamplers(IntBuffer samplers)`
`static void`
`glDeleteSync(GLSync sync)`
`static void`
`glDeleteTransformFeedbacks(int id)`
Overloads glDeleteTransformFeedbacks.
`static void`
`glDeleteTransformFeedbacks(IntBuffer ids)`
`static void`
`glDeleteVertexArrays(int array)`
Overloads glDeleteVertexArrays.
`static void`
`glDeleteVertexArrays(IntBuffer arrays)`
`static void`
`glDrawArraysInstanced(int mode, int first, int count, int primcount)`
`static void`
`glDrawBuffers(int buffer)`
Overloads glDrawBuffers.
`static void`
`glDrawBuffers(IntBuffer buffers)`
`static void`
`glDrawElementsInstanced(int mode, int indices_count, int type, long indices_buffer_offset, int primcount)`
`static void`
`glDrawElementsInstanced(int mode, ByteBuffer indices, int primcount)`
`static void`
`glDrawElementsInstanced(int mode, IntBuffer indices, int primcount)`
`static void`
`glDrawElementsInstanced(int mode, ShortBuffer indices, int primcount)`
`static void`
`glDrawRangeElements(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset)`
`static void`
`glDrawRangeElements(int mode, int start, int end, ByteBuffer indices)`
`static void`
`glDrawRangeElements(int mode, int start, int end, IntBuffer indices)`
`static void`
`glDrawRangeElements(int mode, int start, int end, ShortBuffer indices)`
`static void`
`glEndQuery(int target)`
`static void`
`glEndTransformFeedback()`
`static GLSync`
`glFenceSync(int condition, int flags)`
`static void`
`glFlushMappedBufferRange(int target, long offset, long length)`
`static void`
`glFramebufferTextureLayer(int target, int attachment, int texture, int level, int layer)`
`static int`
`glGenQueries()`
Overloads glGenQueries.
`static void`
`glGenQueries(IntBuffer ids)`
`static int`
`glGenSamplers()`
Overloads glGenSamplers.
`static void`
`glGenSamplers(IntBuffer samplers)`
`static int`
`glGenTransformFeedbacks()`
Overloads glGenTransformFeedbacks.
`static void`
`glGenTransformFeedbacks(IntBuffer ids)`
`static int`
`glGenVertexArrays()`
Overloads glGenVertexArrays.
`static void`
`glGenVertexArrays(IntBuffer arrays)`
`static void`
`glGetActiveUniformBlock(int program, int uniformBlockIndex, int pname, IntBuffer params)`
`static int`
`glGetActiveUniformBlocki(int program, int uniformBlockIndex, int pname)`
Overloads glGetActiveUniformBlockiv.
`static String`
`glGetActiveUniformBlockName(int program, int uniformBlockIndex, int bufSize)`
Overloads glGetActiveUniformBlockName.
`static void`
`glGetActiveUniformBlockName(int program, int uniformBlockIndex, IntBuffer length, ByteBuffer uniformBlockName)`
`static void`
`glGetActiveUniforms(int program, IntBuffer uniformIndices, int pname, IntBuffer params)`
`static int`
`glGetActiveUniformsi(int program, int uniformIndex, int pname)`
Overloads glGetActiveUniformsiv.
`static void`
`glGetBufferParameter(int target, int pname, LongBuffer params)`
`static long`
`glGetBufferParameteri64(int target, int pname)`
Overloads glGetBufferParameteri64v.
`static ByteBuffer`
`glGetBufferPointer(int target, int pname)`
`static int`
`glGetFragDataLocation(int program, CharSequence name)`
Overloads glGetFragDataLocation.
`static int`
`glGetFragDataLocation(int program, ByteBuffer name)`
`static int`
`glGetInteger(int value, int index)`
Overloads glGetIntegeri_v.
`static void`
`glGetInteger(int value, int index, IntBuffer data)`
`static long`
`glGetInteger64(int pname)`
Overloads glGetInteger64v.
`static long`
`glGetInteger64(int value, int index)`
Overloads glGetInteger64i_v.
`static void`
`glGetInteger64(int value, int index, LongBuffer data)`
`static void`
`glGetInteger64(int pname, LongBuffer data)`
`static int`
`glGetInternalformat(int target, int internalformat, int pname)`
Overloads glGetInternalformativ.
`static void`
`glGetInternalformat(int target, int internalformat, int pname, IntBuffer params)`
`static void`
`glGetProgramBinary(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)`
`static void`
`glGetQuery(int target, int pname, IntBuffer params)`
`static int`
`glGetQueryi(int target, int pname)`
Overloads glGetQueryiv.
`static void`
`glGetQueryObjectu(int id, int pname, IntBuffer params)`
`static int`
`glGetQueryObjectui(int id, int pname)`
Overloads glGetQueryObjectuiv.
`static void`
`glGetSamplerParameter(int sampler, int pname, FloatBuffer params)`
`static void`
`glGetSamplerParameter(int sampler, int pname, IntBuffer params)`
`static float`
`glGetSamplerParameterf(int sampler, int pname)`
Overloads glGetSamplerParameterfv.
`static int`
`glGetSamplerParameteri(int sampler, int pname)`
Overloads glGetSamplerParameteriv.
`static String`
`glGetStringi(int name, int index)`
`static void`
`glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static int`
`glGetSynci(GLSync sync, int pname)`
Overloads glGetSynciv.
`static String`
`glGetTransformFeedbackVarying(int program, int index, int bufSize, IntBuffer size, IntBuffer type)`
Overloads glGetTransformFeedbackVarying.
`static void`
`glGetTransformFeedbackVarying(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)`
`static int`
`glGetUniformBlockIndex(int program, CharSequence uniformBlockName)`
Overloads glGetUniformBlockIndex.
`static int`
`glGetUniformBlockIndex(int program, ByteBuffer uniformBlockName)`
`static void`
`glGetUniformIndices(int program, CharSequence[] uniformNames, IntBuffer uniformIndices)`
Overloads glGetUniformIndices.
`static void`
`glGetUniformIndices(int program, ByteBuffer uniformNames, IntBuffer uniformIndices)`
`static void`
`glGetUniformu(int program, int location, IntBuffer params)`
`static void`
`glGetVertexAttribI(int index, int pname, IntBuffer params)`
`static void`
`glGetVertexAttribIu(int index, int pname, IntBuffer params)`
`static void`
`glInvalidateFramebuffer(int target, IntBuffer attachments)`
`static void`
`glInvalidateSubFramebuffer(int target, IntBuffer attachments, int x, int y, int width, int height)`
`static boolean`
`glIsQuery(int id)`
`static boolean`
`glIsSampler(int sampler)`
`static boolean`
`glIsSync(GLSync sync)`
`static boolean`
`glIsTransformFeedback(int id)`
`static boolean`
`glIsVertexArray(int array)`
`static ByteBuffer`
`glMapBufferRange(int target, long offset, long length, int access, ByteBuffer old_buffer)`
glMapBufferRange maps a GL buffer object range to a ByteBuffer.
`static void`
`glPauseTransformFeedback()`
`static void`
`glProgramBinary(int program, int binaryFormat, ByteBuffer binary)`
`static void`
`glProgramParameteri(int program, int pname, int value)`
`static void`
`glReadBuffer(int mode)`
`static void`
`glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)`
Establishes the data storage, format, dimensions, and number of samples of a renderbuffer object's image.
`static void`
`glResumeTransformFeedback()`
`static void`
`glSamplerParameter(int sampler, int pname, FloatBuffer params)`
`static void`
`glSamplerParameter(int sampler, int pname, IntBuffer params)`
`static void`
`glSamplerParameterf(int sampler, int pname, float param)`
`static void`
`glSamplerParameteri(int sampler, int pname, int param)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)`
`static void`
`glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glTexStorage2D(int target, int levels, int internalformat, int width, int height)`
`static void`
`glTexStorage3D(int target, int levels, int internalformat, int width, int height, int depth)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)`
`static void`
`glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)`
`static void`
`glTransformFeedbackVaryings(int program, int count, ByteBuffer varyings, int bufferMode)`
`static void`
`glTransformFeedbackVaryings(int program, CharSequence[] varyings, int bufferMode)`
Overloads glTransformFeedbackVaryings.
`static void`
`glUniform1u(int location, IntBuffer value)`
`static void`
`glUniform1ui(int location, int v0)`
`static void`
`glUniform2u(int location, IntBuffer value)`
`static void`
`glUniform2ui(int location, int v0, int v1)`
`static void`
`glUniform3u(int location, IntBuffer value)`
`static void`
`glUniform3ui(int location, int v0, int v1, int v2)`
`static void`
`glUniform4u(int location, IntBuffer value)`
`static void`
`glUniform4ui(int location, int v0, int v1, int v2, int v3)`
`static void`
`glUniformBlockBinding(int program, int uniformBlockIndex, int uniformBlockBinding)`
`static void`
`glUniformMatrix2x3(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix2x4(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix3x2(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix3x4(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix4x2(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix4x3(int location, boolean transpose, FloatBuffer matrices)`
`static boolean`
`glUnmapBuffer(int target)`
`static void`
`glVertexAttribDivisor(int index, int divisor)`
`static void`
`glVertexAttribI4(int index, IntBuffer v)`
`static void`
`glVertexAttribI4i(int index, int x, int y, int z, int w)`
`static void`
`glVertexAttribI4u(int index, IntBuffer v)`
`static void`
`glVertexAttribI4ui(int index, int x, int y, int z, int w)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, long buffer_buffer_offset)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, ByteBuffer buffer)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, IntBuffer buffer)`
`static void`
`glVertexAttribIPointer(int index, int size, int type, int stride, ShortBuffer buffer)`
`static void`
`glWaitSync(GLSync sync, int flags, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_READ_BUFFER

public static final int GL_READ_BUFFER

See Also:
  - Constant Field Values

### GL_UNPACK_ROW_LENGTH

public static final int GL_UNPACK_ROW_LENGTH

See Also:
  - Constant Field Values

### GL_UNPACK_SKIP_ROWS

public static final int GL_UNPACK_SKIP_ROWS

See Also:
  - Constant Field Values

### GL_UNPACK_SKIP_PIXELS

public static final int GL_UNPACK_SKIP_PIXELS

See Also:
  - Constant Field Values

### GL_PACK_ROW_LENGTH

public static final int GL_PACK_ROW_LENGTH

See Also:
  - Constant Field Values

### GL_PACK_SKIP_ROWS

public static final int GL_PACK_SKIP_ROWS

See Also:
  - Constant Field Values

### GL_PACK_SKIP_PIXELS

public static final int GL_PACK_SKIP_PIXELS

See Also:
  - Constant Field Values

### GL_COLOR

public static final int GL_COLOR

See Also:
  - Constant Field Values

### GL_DEPTH

public static final int GL_DEPTH

See Also:
  - Constant Field Values

### GL_STENCIL

public static final int GL_STENCIL

See Also:
  - Constant Field Values

### GL_RED

public static final int GL_RED

See Also:
  - Constant Field Values

### GL_RGB8

public static final int GL_RGB8

See Also:
  - Constant Field Values

### GL_RGBA8

public static final int GL_RGBA8

See Also:
  - Constant Field Values

### GL_RGB10_A2

public static final int GL_RGB10_A2

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_3D

public static final int GL_TEXTURE_BINDING_3D

See Also:
  - Constant Field Values

### GL_PACK_SKIP_IMAGES

public static final int GL_PACK_SKIP_IMAGES

See Also:
  - Constant Field Values

### GL_PACK_IMAGE_HEIGHT

public static final int GL_PACK_IMAGE_HEIGHT

See Also:
  - Constant Field Values

### GL_UNPACK_SKIP_IMAGES

public static final int GL_UNPACK_SKIP_IMAGES

See Also:
  - Constant Field Values

### GL_UNPACK_IMAGE_HEIGHT

public static final int GL_UNPACK_IMAGE_HEIGHT

See Also:
  - Constant Field Values

### GL_TEXTURE_3D

public static final int GL_TEXTURE_3D

See Also:
  - Constant Field Values

### GL_TEXTURE_WRAP_R

public static final int GL_TEXTURE_WRAP_R

See Also:
  - Constant Field Values

### GL_MAX_3D_TEXTURE_SIZE

public static final int GL_MAX_3D_TEXTURE_SIZE

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_2_10_10_10_REV

public static final int GL_UNSIGNED_INT_2_10_10_10_REV

See Also:
  - Constant Field Values

### GL_MAX_ELEMENTS_VERTICES

public static final int GL_MAX_ELEMENTS_VERTICES

See Also:
  - Constant Field Values

### GL_MAX_ELEMENTS_INDICES

public static final int GL_MAX_ELEMENTS_INDICES

See Also:
  - Constant Field Values

### GL_TEXTURE_MIN_LOD

public static final int GL_TEXTURE_MIN_LOD

See Also:
  - Constant Field Values

### GL_TEXTURE_MAX_LOD

public static final int GL_TEXTURE_MAX_LOD

See Also:
  - Constant Field Values

### GL_TEXTURE_BASE_LEVEL

public static final int GL_TEXTURE_BASE_LEVEL

See Also:
  - Constant Field Values

### GL_TEXTURE_MAX_LEVEL

public static final int GL_TEXTURE_MAX_LEVEL

See Also:
  - Constant Field Values

### GL_MIN

public static final int GL_MIN

See Also:
  - Constant Field Values

### GL_MAX

public static final int GL_MAX

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT24

public static final int GL_DEPTH_COMPONENT24

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_LOD_BIAS

public static final int GL_MAX_TEXTURE_LOD_BIAS

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPARE_MODE

public static final int GL_TEXTURE_COMPARE_MODE

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPARE_FUNC

public static final int GL_TEXTURE_COMPARE_FUNC

See Also:
  - Constant Field Values

### GL_CURRENT_QUERY

public static final int GL_CURRENT_QUERY

See Also:
  - Constant Field Values

### GL_QUERY_RESULT

public static final int GL_QUERY_RESULT

See Also:
  - Constant Field Values

### GL_QUERY_RESULT_AVAILABLE

public static final int GL_QUERY_RESULT_AVAILABLE

See Also:
  - Constant Field Values

### GL_BUFFER_MAPPED

public static final int GL_BUFFER_MAPPED

See Also:
  - Constant Field Values

### GL_BUFFER_MAP_POINTER

public static final int GL_BUFFER_MAP_POINTER

See Also:
  - Constant Field Values

### GL_STREAM_READ

public static final int GL_STREAM_READ

See Also:
  - Constant Field Values

### GL_STREAM_COPY

public static final int GL_STREAM_COPY

See Also:
  - Constant Field Values

### GL_STATIC_READ

public static final int GL_STATIC_READ

See Also:
  - Constant Field Values

### GL_STATIC_COPY

public static final int GL_STATIC_COPY

See Also:
  - Constant Field Values

### GL_DYNAMIC_READ

public static final int GL_DYNAMIC_READ

See Also:
  - Constant Field Values

### GL_DYNAMIC_COPY

public static final int GL_DYNAMIC_COPY

See Also:
  - Constant Field Values

### GL_MAX_DRAW_BUFFERS

public static final int GL_MAX_DRAW_BUFFERS

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER0

public static final int GL_DRAW_BUFFER0

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER1

public static final int GL_DRAW_BUFFER1

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER2

public static final int GL_DRAW_BUFFER2

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER3

public static final int GL_DRAW_BUFFER3

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER4

public static final int GL_DRAW_BUFFER4

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER5

public static final int GL_DRAW_BUFFER5

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER6

public static final int GL_DRAW_BUFFER6

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER7

public static final int GL_DRAW_BUFFER7

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER8

public static final int GL_DRAW_BUFFER8

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER9

public static final int GL_DRAW_BUFFER9

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER10

public static final int GL_DRAW_BUFFER10

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER11

public static final int GL_DRAW_BUFFER11

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER12

public static final int GL_DRAW_BUFFER12

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER13

public static final int GL_DRAW_BUFFER13

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER14

public static final int GL_DRAW_BUFFER14

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER15

public static final int GL_DRAW_BUFFER15

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

public static final int GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_UNIFORM_COMPONENTS

public static final int GL_MAX_VERTEX_UNIFORM_COMPONENTS

See Also:
  - Constant Field Values

### GL_SAMPLER_3D

public static final int GL_SAMPLER_3D

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_SHADOW

public static final int GL_SAMPLER_2D_SHADOW

See Also:
  - Constant Field Values

### GL_FRAGMENT_SHADER_DERIVATIVE_HINT

public static final int GL_FRAGMENT_SHADER_DERIVATIVE_HINT

See Also:
  - Constant Field Values

### GL_PIXEL_PACK_BUFFER

public static final int GL_PIXEL_PACK_BUFFER

See Also:
  - Constant Field Values

### GL_PIXEL_UNPACK_BUFFER

public static final int GL_PIXEL_UNPACK_BUFFER

See Also:
  - Constant Field Values

### GL_PIXEL_PACK_BUFFER_BINDING

public static final int GL_PIXEL_PACK_BUFFER_BINDING

See Also:
  - Constant Field Values

### GL_PIXEL_UNPACK_BUFFER_BINDING

public static final int GL_PIXEL_UNPACK_BUFFER_BINDING

See Also:
  - Constant Field Values

### GL_FLOAT_MAT2x3

public static final int GL_FLOAT_MAT2x3

See Also:
  - Constant Field Values

### GL_FLOAT_MAT2x4

public static final int GL_FLOAT_MAT2x4

See Also:
  - Constant Field Values

### GL_FLOAT_MAT3x2

public static final int GL_FLOAT_MAT3x2

See Also:
  - Constant Field Values

### GL_FLOAT_MAT3x4

public static final int GL_FLOAT_MAT3x4

See Also:
  - Constant Field Values

### GL_FLOAT_MAT4x2

public static final int GL_FLOAT_MAT4x2

See Also:
  - Constant Field Values

### GL_FLOAT_MAT4x3

public static final int GL_FLOAT_MAT4x3

See Also:
  - Constant Field Values

### GL_SRGB

public static final int GL_SRGB

See Also:
  - Constant Field Values

### GL_SRGB8

public static final int GL_SRGB8

See Also:
  - Constant Field Values

### GL_SRGB8_ALPHA8

public static final int GL_SRGB8_ALPHA8

See Also:
  - Constant Field Values

### GL_COMPARE_REF_TO_TEXTURE

public static final int GL_COMPARE_REF_TO_TEXTURE

See Also:
  - Constant Field Values

### GL_MAJOR_VERSION

public static final int GL_MAJOR_VERSION

See Also:
  - Constant Field Values

### GL_MINOR_VERSION

public static final int GL_MINOR_VERSION

See Also:
  - Constant Field Values

### GL_NUM_EXTENSIONS

public static final int GL_NUM_EXTENSIONS

See Also:
  - Constant Field Values

### GL_RGBA32F

public static final int GL_RGBA32F

See Also:
  - Constant Field Values

### GL_RGB32F

public static final int GL_RGB32F

See Also:
  - Constant Field Values

### GL_RGBA16F

public static final int GL_RGBA16F

See Also:
  - Constant Field Values

### GL_RGB16F

public static final int GL_RGB16F

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_INTEGER

public static final int GL_VERTEX_ATTRIB_ARRAY_INTEGER

See Also:
  - Constant Field Values

### GL_MAX_ARRAY_TEXTURE_LAYERS

public static final int GL_MAX_ARRAY_TEXTURE_LAYERS

See Also:
  - Constant Field Values

### GL_MIN_PROGRAM_TEXEL_OFFSET

public static final int GL_MIN_PROGRAM_TEXEL_OFFSET

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEXEL_OFFSET

public static final int GL_MAX_PROGRAM_TEXEL_OFFSET

See Also:
  - Constant Field Values

### GL_MAX_VARYING_COMPONENTS

public static final int GL_MAX_VARYING_COMPONENTS

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_ARRAY

public static final int GL_TEXTURE_2D_ARRAY

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D_ARRAY

public static final int GL_TEXTURE_BINDING_2D_ARRAY

See Also:
  - Constant Field Values

### GL_R11F_G11F_B10F

public static final int GL_R11F_G11F_B10F

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_10F_11F_11F_REV

public static final int GL_UNSIGNED_INT_10F_11F_11F_REV

See Also:
  - Constant Field Values

### GL_RGB9_E5

public static final int GL_RGB9_E5

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_5_9_9_9_REV

public static final int GL_UNSIGNED_INT_5_9_9_9_REV

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH

public static final int GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_MODE

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_MODE

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYINGS

public static final int GL_TRANSFORM_FEEDBACK_VARYINGS

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_START

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_START

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_SIZE

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN

public static final int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN

See Also:
  - Constant Field Values

### GL_RASTERIZER_DISCARD

public static final int GL_RASTERIZER_DISCARD

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS

public static final int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS

public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS

See Also:
  - Constant Field Values

### GL_INTERLEAVED_ATTRIBS

public static final int GL_INTERLEAVED_ATTRIBS

See Also:
  - Constant Field Values

### GL_SEPARATE_ATTRIBS

public static final int GL_SEPARATE_ATTRIBS

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER

public static final int GL_TRANSFORM_FEEDBACK_BUFFER

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_BINDING

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING

See Also:
  - Constant Field Values

### GL_RGBA32UI

public static final int GL_RGBA32UI

See Also:
  - Constant Field Values

### GL_RGB32UI

public static final int GL_RGB32UI

See Also:
  - Constant Field Values

### GL_RGBA16UI

public static final int GL_RGBA16UI

See Also:
  - Constant Field Values

### GL_RGB16UI

public static final int GL_RGB16UI

See Also:
  - Constant Field Values

### GL_RGBA8UI

public static final int GL_RGBA8UI

See Also:
  - Constant Field Values

### GL_RGB8UI

public static final int GL_RGB8UI

See Also:
  - Constant Field Values

### GL_RGBA32I

public static final int GL_RGBA32I

See Also:
  - Constant Field Values

### GL_RGB32I

public static final int GL_RGB32I

See Also:
  - Constant Field Values

### GL_RGBA16I

public static final int GL_RGBA16I

See Also:
  - Constant Field Values

### GL_RGB16I

public static final int GL_RGB16I

See Also:
  - Constant Field Values

### GL_RGBA8I

public static final int GL_RGBA8I

See Also:
  - Constant Field Values

### GL_RGB8I

public static final int GL_RGB8I

See Also:
  - Constant Field Values

### GL_RED_INTEGER

public static final int GL_RED_INTEGER

See Also:
  - Constant Field Values

### GL_RGB_INTEGER

public static final int GL_RGB_INTEGER

See Also:
  - Constant Field Values

### GL_RGBA_INTEGER

public static final int GL_RGBA_INTEGER

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY

public static final int GL_SAMPLER_2D_ARRAY

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY_SHADOW

public static final int GL_SAMPLER_2D_ARRAY_SHADOW

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE_SHADOW

public static final int GL_SAMPLER_CUBE_SHADOW

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC2

public static final int GL_UNSIGNED_INT_VEC2

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC3

public static final int GL_UNSIGNED_INT_VEC3

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_VEC4

public static final int GL_UNSIGNED_INT_VEC4

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D

public static final int GL_INT_SAMPLER_2D

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_3D

public static final int GL_INT_SAMPLER_3D

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_CUBE

public static final int GL_INT_SAMPLER_CUBE

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_ARRAY

public static final int GL_INT_SAMPLER_2D_ARRAY

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D

public static final int GL_UNSIGNED_INT_SAMPLER_2D

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_3D

public static final int GL_UNSIGNED_INT_SAMPLER_3D

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_CUBE

public static final int GL_UNSIGNED_INT_SAMPLER_CUBE

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_ARRAY

public static final int GL_UNSIGNED_INT_SAMPLER_2D_ARRAY

See Also:
  - Constant Field Values

### GL_BUFFER_ACCESS_FLAGS

public static final int GL_BUFFER_ACCESS_FLAGS

See Also:
  - Constant Field Values

### GL_BUFFER_MAP_LENGTH

public static final int GL_BUFFER_MAP_LENGTH

See Also:
  - Constant Field Values

### GL_BUFFER_MAP_OFFSET

public static final int GL_BUFFER_MAP_OFFSET

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT32F

public static final int GL_DEPTH_COMPONENT32F

See Also:
  - Constant Field Values

### GL_DEPTH32F_STENCIL8

public static final int GL_DEPTH32F_STENCIL8

See Also:
  - Constant Field Values

### GL_FLOAT_32_UNSIGNED_INT_24_8_REV

public static final int GL_FLOAT_32_UNSIGNED_INT_24_8_REV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

public static final int GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

public static final int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT

public static final int GL_FRAMEBUFFER_DEFAULT

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNDEFINED

public static final int GL_FRAMEBUFFER_UNDEFINED

See Also:
  - Constant Field Values

### GL_DEPTH_STENCIL_ATTACHMENT

public static final int GL_DEPTH_STENCIL_ATTACHMENT

See Also:
  - Constant Field Values

### GL_DEPTH_STENCIL

public static final int GL_DEPTH_STENCIL

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_24_8

public static final int GL_UNSIGNED_INT_24_8

See Also:
  - Constant Field Values

### GL_DEPTH24_STENCIL8

public static final int GL_DEPTH24_STENCIL8

See Also:
  - Constant Field Values

### GL_UNSIGNED_NORMALIZED

public static final int GL_UNSIGNED_NORMALIZED

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER_BINDING

public static final int GL_DRAW_FRAMEBUFFER_BINDING

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER

public static final int GL_READ_FRAMEBUFFER

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER

public static final int GL_DRAW_FRAMEBUFFER

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER_BINDING

public static final int GL_READ_FRAMEBUFFER_BINDING

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_SAMPLES

public static final int GL_RENDERBUFFER_SAMPLES

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

See Also:
  - Constant Field Values

### GL_MAX_COLOR_ATTACHMENTS

public static final int GL_MAX_COLOR_ATTACHMENTS

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT1

public static final int GL_COLOR_ATTACHMENT1

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT2

public static final int GL_COLOR_ATTACHMENT2

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT3

public static final int GL_COLOR_ATTACHMENT3

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT4

public static final int GL_COLOR_ATTACHMENT4

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT5

public static final int GL_COLOR_ATTACHMENT5

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT6

public static final int GL_COLOR_ATTACHMENT6

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT7

public static final int GL_COLOR_ATTACHMENT7

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT8

public static final int GL_COLOR_ATTACHMENT8

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT9

public static final int GL_COLOR_ATTACHMENT9

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT10

public static final int GL_COLOR_ATTACHMENT10

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT11

public static final int GL_COLOR_ATTACHMENT11

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT12

public static final int GL_COLOR_ATTACHMENT12

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT13

public static final int GL_COLOR_ATTACHMENT13

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT14

public static final int GL_COLOR_ATTACHMENT14

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT15

public static final int GL_COLOR_ATTACHMENT15

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

public static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

See Also:
  - Constant Field Values

### GL_MAX_SAMPLES

public static final int GL_MAX_SAMPLES

See Also:
  - Constant Field Values

### GL_HALF_FLOAT

public static final int GL_HALF_FLOAT

See Also:
  - Constant Field Values

### GL_MAP_READ_BIT

public static final int GL_MAP_READ_BIT

See Also:
  - Constant Field Values

### GL_MAP_WRITE_BIT

public static final int GL_MAP_WRITE_BIT

See Also:
  - Constant Field Values

### GL_MAP_INVALIDATE_RANGE_BIT

public static final int GL_MAP_INVALIDATE_RANGE_BIT

See Also:
  - Constant Field Values

### GL_MAP_INVALIDATE_BUFFER_BIT

public static final int GL_MAP_INVALIDATE_BUFFER_BIT

See Also:
  - Constant Field Values

### GL_MAP_FLUSH_EXPLICIT_BIT

public static final int GL_MAP_FLUSH_EXPLICIT_BIT

See Also:
  - Constant Field Values

### GL_MAP_UNSYNCHRONIZED_BIT

public static final int GL_MAP_UNSYNCHRONIZED_BIT

See Also:
  - Constant Field Values

### GL_RG

public static final int GL_RG

See Also:
  - Constant Field Values

### GL_RG_INTEGER

public static final int GL_RG_INTEGER

See Also:
  - Constant Field Values

### GL_R8

public static final int GL_R8

See Also:
  - Constant Field Values

### GL_RG8

public static final int GL_RG8

See Also:
  - Constant Field Values

### GL_R16F

public static final int GL_R16F

See Also:
  - Constant Field Values

### GL_R32F

public static final int GL_R32F

See Also:
  - Constant Field Values

### GL_RG16F

public static final int GL_RG16F

See Also:
  - Constant Field Values

### GL_RG32F

public static final int GL_RG32F

See Also:
  - Constant Field Values

### GL_R8I

public static final int GL_R8I

See Also:
  - Constant Field Values

### GL_R8UI

public static final int GL_R8UI

See Also:
  - Constant Field Values

### GL_R16I

public static final int GL_R16I

See Also:
  - Constant Field Values

### GL_R16UI

public static final int GL_R16UI

See Also:
  - Constant Field Values

### GL_R32I

public static final int GL_R32I

See Also:
  - Constant Field Values

### GL_R32UI

public static final int GL_R32UI

See Also:
  - Constant Field Values

### GL_RG8I

public static final int GL_RG8I

See Also:
  - Constant Field Values

### GL_RG8UI

public static final int GL_RG8UI

See Also:
  - Constant Field Values

### GL_RG16I

public static final int GL_RG16I

See Also:
  - Constant Field Values

### GL_RG16UI

public static final int GL_RG16UI

See Also:
  - Constant Field Values

### GL_RG32I

public static final int GL_RG32I

See Also:
  - Constant Field Values

### GL_RG32UI

public static final int GL_RG32UI

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_BINDING

public static final int GL_VERTEX_ARRAY_BINDING

See Also:
  - Constant Field Values

### GL_R8_SNORM

public static final int GL_R8_SNORM

See Also:
  - Constant Field Values

### GL_RG8_SNORM

public static final int GL_RG8_SNORM

See Also:
  - Constant Field Values

### GL_RGB8_SNORM

public static final int GL_RGB8_SNORM

See Also:
  - Constant Field Values

### GL_RGBA8_SNORM

public static final int GL_RGBA8_SNORM

See Also:
  - Constant Field Values

### GL_SIGNED_NORMALIZED

public static final int GL_SIGNED_NORMALIZED

See Also:
  - Constant Field Values

### GL_PRIMITIVE_RESTART_FIXED_INDEX

public static final int GL_PRIMITIVE_RESTART_FIXED_INDEX

See Also:
  - Constant Field Values

### GL_COPY_READ_BUFFER

public static final int GL_COPY_READ_BUFFER

See Also:
  - Constant Field Values

### GL_COPY_WRITE_BUFFER

public static final int GL_COPY_WRITE_BUFFER

See Also:
  - Constant Field Values

### GL_COPY_READ_BUFFER_BINDING

public static final int GL_COPY_READ_BUFFER_BINDING

See Also:
  - Constant Field Values

### GL_COPY_WRITE_BUFFER_BINDING

public static final int GL_COPY_WRITE_BUFFER_BINDING

See Also:
  - Constant Field Values

### GL_UNIFORM_BUFFER

public static final int GL_UNIFORM_BUFFER

See Also:
  - Constant Field Values

### GL_UNIFORM_BUFFER_BINDING

public static final int GL_UNIFORM_BUFFER_BINDING

See Also:
  - Constant Field Values

### GL_UNIFORM_BUFFER_START

public static final int GL_UNIFORM_BUFFER_START

See Also:
  - Constant Field Values

### GL_UNIFORM_BUFFER_SIZE

public static final int GL_UNIFORM_BUFFER_SIZE

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_UNIFORM_BLOCKS

public static final int GL_MAX_VERTEX_UNIFORM_BLOCKS

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_BLOCKS

public static final int GL_MAX_FRAGMENT_UNIFORM_BLOCKS

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_UNIFORM_BLOCKS

public static final int GL_MAX_COMBINED_UNIFORM_BLOCKS

See Also:
  - Constant Field Values

### GL_MAX_UNIFORM_BUFFER_BINDINGS

public static final int GL_MAX_UNIFORM_BUFFER_BINDINGS

See Also:
  - Constant Field Values

### GL_MAX_UNIFORM_BLOCK_SIZE

public static final int GL_MAX_UNIFORM_BLOCK_SIZE

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS

See Also:
  - Constant Field Values

### GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT

public static final int GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT

See Also:
  - Constant Field Values

### GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH

public static final int GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH

See Also:
  - Constant Field Values

### GL_ACTIVE_UNIFORM_BLOCKS

public static final int GL_ACTIVE_UNIFORM_BLOCKS

See Also:
  - Constant Field Values

### GL_UNIFORM_TYPE

public static final int GL_UNIFORM_TYPE

See Also:
  - Constant Field Values

### GL_UNIFORM_SIZE

public static final int GL_UNIFORM_SIZE

See Also:
  - Constant Field Values

### GL_UNIFORM_NAME_LENGTH

public static final int GL_UNIFORM_NAME_LENGTH

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_INDEX

public static final int GL_UNIFORM_BLOCK_INDEX

See Also:
  - Constant Field Values

### GL_UNIFORM_OFFSET

public static final int GL_UNIFORM_OFFSET

See Also:
  - Constant Field Values

### GL_UNIFORM_ARRAY_STRIDE

public static final int GL_UNIFORM_ARRAY_STRIDE

See Also:
  - Constant Field Values

### GL_UNIFORM_MATRIX_STRIDE

public static final int GL_UNIFORM_MATRIX_STRIDE

See Also:
  - Constant Field Values

### GL_UNIFORM_IS_ROW_MAJOR

public static final int GL_UNIFORM_IS_ROW_MAJOR

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_BINDING

public static final int GL_UNIFORM_BLOCK_BINDING

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_DATA_SIZE

public static final int GL_UNIFORM_BLOCK_DATA_SIZE

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_NAME_LENGTH

public static final int GL_UNIFORM_BLOCK_NAME_LENGTH

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS

public static final int GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES

public static final int GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER

See Also:
  - Constant Field Values

### GL_INVALID_INDEX

public static final int GL_INVALID_INDEX

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_OUTPUT_COMPONENTS

public static final int GL_MAX_VERTEX_OUTPUT_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_INPUT_COMPONENTS

public static final int GL_MAX_FRAGMENT_INPUT_COMPONENTS

See Also:
  - Constant Field Values

### GL_MAX_SERVER_WAIT_TIMEOUT

public static final int GL_MAX_SERVER_WAIT_TIMEOUT

See Also:
  - Constant Field Values

### GL_OBJECT_TYPE

public static final int GL_OBJECT_TYPE

See Also:
  - Constant Field Values

### GL_SYNC_CONDITION

public static final int GL_SYNC_CONDITION

See Also:
  - Constant Field Values

### GL_SYNC_STATUS

public static final int GL_SYNC_STATUS

See Also:
  - Constant Field Values

### GL_SYNC_FLAGS

public static final int GL_SYNC_FLAGS

See Also:
  - Constant Field Values

### GL_SYNC_FENCE

public static final int GL_SYNC_FENCE

See Also:
  - Constant Field Values

### GL_SYNC_GPU_COMMANDS_COMPLETE

public static final int GL_SYNC_GPU_COMMANDS_COMPLETE

See Also:
  - Constant Field Values

### GL_UNSIGNALED

public static final int GL_UNSIGNALED

See Also:
  - Constant Field Values

### GL_SIGNALED

public static final int GL_SIGNALED

See Also:
  - Constant Field Values

### GL_ALREADY_SIGNALED

public static final int GL_ALREADY_SIGNALED

See Also:
  - Constant Field Values

### GL_TIMEOUT_EXPIRED

public static final int GL_TIMEOUT_EXPIRED

See Also:
  - Constant Field Values

### GL_CONDITION_SATISFIED

public static final int GL_CONDITION_SATISFIED

See Also:
  - Constant Field Values

### GL_WAIT_FAILED

public static final int GL_WAIT_FAILED

See Also:
  - Constant Field Values

### GL_SYNC_FLUSH_COMMANDS_BIT

public static final int GL_SYNC_FLUSH_COMMANDS_BIT

See Also:
  - Constant Field Values

### GL_TIMEOUT_IGNORED

public static final long GL_TIMEOUT_IGNORED

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_DIVISOR

public static final int GL_VERTEX_ATTRIB_ARRAY_DIVISOR

See Also:
  - Constant Field Values

### GL_ANY_SAMPLES_PASSED

public static final int GL_ANY_SAMPLES_PASSED

See Also:
  - Constant Field Values

### GL_ANY_SAMPLES_PASSED_CONSERVATIVE

public static final int GL_ANY_SAMPLES_PASSED_CONSERVATIVE

See Also:
  - Constant Field Values

### GL_SAMPLER_BINDING

public static final int GL_SAMPLER_BINDING

See Also:
  - Constant Field Values

### GL_RGB10_A2UI

public static final int GL_RGB10_A2UI

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_R

public static final int GL_TEXTURE_SWIZZLE_R

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_G

public static final int GL_TEXTURE_SWIZZLE_G

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_B

public static final int GL_TEXTURE_SWIZZLE_B

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_A

public static final int GL_TEXTURE_SWIZZLE_A

See Also:
  - Constant Field Values

### GL_GREEN

public static final int GL_GREEN

See Also:
  - Constant Field Values

### GL_BLUE

public static final int GL_BLUE

See Also:
  - Constant Field Values

### GL_INT_2_10_10_10_REV

public static final int GL_INT_2_10_10_10_REV

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK

public static final int GL_TRANSFORM_FEEDBACK

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_PAUSED

public static final int GL_TRANSFORM_FEEDBACK_PAUSED

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_ACTIVE

public static final int GL_TRANSFORM_FEEDBACK_ACTIVE

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BINDING

public static final int GL_TRANSFORM_FEEDBACK_BINDING

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_RETRIEVABLE_HINT

public static final int GL_PROGRAM_BINARY_RETRIEVABLE_HINT

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_LENGTH

public static final int GL_PROGRAM_BINARY_LENGTH

See Also:
  - Constant Field Values

### GL_NUM_PROGRAM_BINARY_FORMATS

public static final int GL_NUM_PROGRAM_BINARY_FORMATS

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_FORMATS

public static final int GL_PROGRAM_BINARY_FORMATS

See Also:
  - Constant Field Values

### GL_COMPRESSED_R11_EAC

public static final int GL_COMPRESSED_R11_EAC

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_R11_EAC

public static final int GL_COMPRESSED_SIGNED_R11_EAC

See Also:
  - Constant Field Values

### GL_COMPRESSED_RG11_EAC

public static final int GL_COMPRESSED_RG11_EAC

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_RG11_EAC

public static final int GL_COMPRESSED_SIGNED_RG11_EAC

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB8_ETC2

public static final int GL_COMPRESSED_RGB8_ETC2

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ETC2

public static final int GL_COMPRESSED_SRGB8_ETC2

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2

public static final int GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2

public static final int GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA8_ETC2_EAC

public static final int GL_COMPRESSED_RGBA8_ETC2_EAC

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC

See Also:
  - Constant Field Values

### GL_TEXTURE_IMMUTABLE_FORMAT

public static final int GL_TEXTURE_IMMUTABLE_FORMAT

See Also:
  - Constant Field Values

### GL_MAX_ELEMENT_INDEX

public static final int GL_MAX_ELEMENT_INDEX

See Also:
  - Constant Field Values

### GL_NUM_SAMPLE_COUNTS

public static final int GL_NUM_SAMPLE_COUNTS

See Also:
  - Constant Field Values

## Method Details

### glReadBuffer

public static void glReadBuffer(int mode)

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, ByteBuffer indices)

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, IntBuffer indices)

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, ShortBuffer indices)

### glDrawRangeElements

public static void glDrawRangeElements(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)

### glTexImage3D

public static void glTexImage3D(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)

### glTexSubImage3D

public static void glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)

### glCopyTexSubImage3D

public static void glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)

### glCompressedTexImage3D

public static void glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)

### glCompressedTexImage3D

public static void glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)

### glCompressedTexSubImage3D

public static void glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)

### glCompressedTexSubImage3D

public static void glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)

### glGenQueries

public static void glGenQueries(IntBuffer ids)

### glGenQueries

public static int glGenQueries()
Overloads glGenQueries.

### glDeleteQueries

public static void glDeleteQueries(IntBuffer ids)

### glDeleteQueries

public static void glDeleteQueries(int id)
Overloads glDeleteQueries.

### glIsQuery

public static boolean glIsQuery(int id)

### glBeginQuery

public static void glBeginQuery(int target, int id)

### glEndQuery

public static void glEndQuery(int target)

### glGetQuery

public static void glGetQuery(int target, int pname, IntBuffer params)

### glGetQueryi

public static int glGetQueryi(int target, int pname)
Overloads glGetQueryiv.

### glGetQueryObjectu

public static void glGetQueryObjectu(int id, int pname, IntBuffer params)

### glGetQueryObjectui

public static int glGetQueryObjectui(int id, int pname)
Overloads glGetQueryObjectuiv.

### glUnmapBuffer

public static boolean glUnmapBuffer(int target)

### glGetBufferPointer

public static ByteBuffer glGetBufferPointer(int target, int pname)

### glDrawBuffers

public static void glDrawBuffers(IntBuffer buffers)

### glDrawBuffers

public static void glDrawBuffers(int buffer)
Overloads glDrawBuffers.

### glUniformMatrix2x3

public static void glUniformMatrix2x3(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix3x2

public static void glUniformMatrix3x2(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix2x4

public static void glUniformMatrix2x4(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix4x2

public static void glUniformMatrix4x2(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix3x4

public static void glUniformMatrix3x4(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix4x3

public static void glUniformMatrix4x3(int location, boolean transpose, FloatBuffer matrices)

### glBlitFramebuffer

public static void glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)
Transfers a rectangle of pixel values from one region of the read framebuffer to another in the draw framebuffer. <mask> is the bitwise OR of a number of values indicating which buffers are to be copied. The values are COLOR_BUFFER_BIT, DEPTH_BUFFER_BIT, and STENCIL_BUFFER_BIT. The pixels corresponding to these buffers are copied from the source rectangle, bound by the locations (srcX0, srcY0) and (srcX1, srcY1) inclusive, to the destination rectangle, bound by the locations (dstX0, dstY0) and (dstX1, dstY1) inclusive. If the source and destination rectangle dimensions do not match, the source image is stretched to fit the destination rectangle. <filter> must be LINEAR or NEAREST and specifies the method of interpolation to be applied if the image is stretched.

### glRenderbufferStorageMultisample

public static void glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)
Establishes the data storage, format, dimensions, and number of samples of a renderbuffer object's image.

### glFramebufferTextureLayer

public static void glFramebufferTextureLayer(int target, int attachment, int texture, int level, int layer)

### glMapBufferRange

public static ByteBuffer glMapBufferRange(int target, long offset, long length, int access, ByteBuffer old_buffer)
glMapBufferRange maps a GL buffer object range to a ByteBuffer. The old_buffer argument can be null, in which case a new ByteBuffer will be created, pointing to the returned memory. If old_buffer is non-null, it will be returned if it points to the same mapped memory and has the same capacity as the buffer object, otherwise a new ByteBuffer is created. That way, an application will normally use glMapBufferRange like this:

ByteBuffer mapped_buffer; mapped_buffer = glMapBufferRange(..., ..., ..., ..., null); ... // Another map on the same buffer mapped_buffer = glMapBufferRange(..., ..., ..., ..., mapped_buffer);

Only ByteBuffers returned from this method are to be passed as the old_buffer argument. User-created ByteBuffers cannot be reused.

Parameters:
  `old_buffer` - A ByteBuffer. If this argument points to the same address and has the same capacity as the new mapping, it will be returned and no new buffer will be created.

Returns:
  A ByteBuffer representing the mapped buffer memory.

### glFlushMappedBufferRange

public static void glFlushMappedBufferRange(int target, long offset, long length)

### glBindVertexArray

public static void glBindVertexArray(int array)

### glDeleteVertexArrays

public static void glDeleteVertexArrays(IntBuffer arrays)

### glDeleteVertexArrays

public static void glDeleteVertexArrays(int array)
Overloads glDeleteVertexArrays.

### glGenVertexArrays

public static void glGenVertexArrays(IntBuffer arrays)

### glGenVertexArrays

public static int glGenVertexArrays()
Overloads glGenVertexArrays.

### glIsVertexArray

public static boolean glIsVertexArray(int array)

### glGetInteger

public static void glGetInteger(int value, int index, IntBuffer data)

### glGetInteger

public static int glGetInteger(int value, int index)
Overloads glGetIntegeri_v.

### glBeginTransformFeedback

public static void glBeginTransformFeedback(int primitiveMode)

### glEndTransformFeedback

public static void glEndTransformFeedback()

### glBindBufferRange

public static void glBindBufferRange(int target, int index, int buffer, long offset, long size)

### glBindBufferBase

public static void glBindBufferBase(int target, int index, int buffer)

### glTransformFeedbackVaryings

public static void glTransformFeedbackVaryings(int program, int count, ByteBuffer varyings, int bufferMode)

### glTransformFeedbackVaryings

public static void glTransformFeedbackVaryings(int program, CharSequence[] varyings, int bufferMode)
Overloads glTransformFeedbackVaryings.

### glGetTransformFeedbackVarying

public static void glGetTransformFeedbackVarying(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)

### glGetTransformFeedbackVarying

public static String glGetTransformFeedbackVarying(int program, int index, int bufSize, IntBuffer size, IntBuffer type)
Overloads glGetTransformFeedbackVarying.

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, ByteBuffer buffer)

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, IntBuffer buffer)

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, ShortBuffer buffer)

### glVertexAttribIPointer

public static void glVertexAttribIPointer(int index, int size, int type, int stride, long buffer_buffer_offset)

### glGetVertexAttribI

public static void glGetVertexAttribI(int index, int pname, IntBuffer params)

### glGetVertexAttribIu

public static void glGetVertexAttribIu(int index, int pname, IntBuffer params)

### glVertexAttribI4i

public static void glVertexAttribI4i(int index, int x, int y, int z, int w)

### glVertexAttribI4ui

public static void glVertexAttribI4ui(int index, int x, int y, int z, int w)

### glVertexAttribI4

public static void glVertexAttribI4(int index, IntBuffer v)

### glVertexAttribI4u

public static void glVertexAttribI4u(int index, IntBuffer v)

### glGetUniformu

public static void glGetUniformu(int program, int location, IntBuffer params)

### glGetFragDataLocation

public static int glGetFragDataLocation(int program, ByteBuffer name)

### glGetFragDataLocation

public static int glGetFragDataLocation(int program, CharSequence name)
Overloads glGetFragDataLocation.

### glUniform1ui

public static void glUniform1ui(int location, int v0)

### glUniform2ui

public static void glUniform2ui(int location, int v0, int v1)

### glUniform3ui

public static void glUniform3ui(int location, int v0, int v1, int v2)

### glUniform4ui

public static void glUniform4ui(int location, int v0, int v1, int v2, int v3)

### glUniform1u

public static void glUniform1u(int location, IntBuffer value)

### glUniform2u

public static void glUniform2u(int location, IntBuffer value)

### glUniform3u

public static void glUniform3u(int location, IntBuffer value)

### glUniform4u

public static void glUniform4u(int location, IntBuffer value)

### glClearBuffer

public static void glClearBuffer(int buffer, int drawbuffer, FloatBuffer value)

### glClearBuffer

public static void glClearBuffer(int buffer, int drawbuffer, IntBuffer value)

### glClearBufferu

public static void glClearBufferu(int buffer, int drawbuffer, IntBuffer value)

### glClearBufferfi

public static void glClearBufferfi(int buffer, int drawbuffer, float depth, int stencil)

### glGetStringi

public static String glGetStringi(int name, int index)

### glCopyBufferSubData

public static void glCopyBufferSubData(int readtarget, int writetarget, long readoffset, long writeoffset, long size)

### glGetUniformIndices

public static void glGetUniformIndices(int program, ByteBuffer uniformNames, IntBuffer uniformIndices)

### glGetUniformIndices

public static void glGetUniformIndices(int program, CharSequence[] uniformNames, IntBuffer uniformIndices)
Overloads glGetUniformIndices.

### glGetActiveUniforms

public static void glGetActiveUniforms(int program, IntBuffer uniformIndices, int pname, IntBuffer params)

### glGetActiveUniformsi

public static int glGetActiveUniformsi(int program, int uniformIndex, int pname)
Overloads glGetActiveUniformsiv.

### glGetUniformBlockIndex

public static int glGetUniformBlockIndex(int program, ByteBuffer uniformBlockName)

### glGetUniformBlockIndex

public static int glGetUniformBlockIndex(int program, CharSequence uniformBlockName)
Overloads glGetUniformBlockIndex.

### glGetActiveUniformBlock

public static void glGetActiveUniformBlock(int program, int uniformBlockIndex, int pname, IntBuffer params)

### glGetActiveUniformBlocki

public static int glGetActiveUniformBlocki(int program, int uniformBlockIndex, int pname)
Overloads glGetActiveUniformBlockiv.

### glGetActiveUniformBlockName

public static void glGetActiveUniformBlockName(int program, int uniformBlockIndex, IntBuffer length, ByteBuffer uniformBlockName)

### glGetActiveUniformBlockName

public static String glGetActiveUniformBlockName(int program, int uniformBlockIndex, int bufSize)
Overloads glGetActiveUniformBlockName.

### glUniformBlockBinding

public static void glUniformBlockBinding(int program, int uniformBlockIndex, int uniformBlockBinding)

### glDrawArraysInstanced

public static void glDrawArraysInstanced(int mode, int first, int count, int primcount)

### glDrawElementsInstanced

public static void glDrawElementsInstanced(int mode, ByteBuffer indices, int primcount)

### glDrawElementsInstanced

public static void glDrawElementsInstanced(int mode, IntBuffer indices, int primcount)

### glDrawElementsInstanced

public static void glDrawElementsInstanced(int mode, ShortBuffer indices, int primcount)

### glDrawElementsInstanced

public static void glDrawElementsInstanced(int mode, int indices_count, int type, long indices_buffer_offset, int primcount)

### glFenceSync

public static GLSync glFenceSync(int condition, int flags)

### glIsSync

public static boolean glIsSync(GLSync sync)

### glDeleteSync

public static void glDeleteSync(GLSync sync)

### glClientWaitSync

public static int glClientWaitSync(GLSync sync, int flags, long timeout)

### glWaitSync

public static void glWaitSync(GLSync sync, int flags, long timeout)

### glGetInteger64

public static void glGetInteger64(int pname, LongBuffer data)

### glGetInteger64

public static long glGetInteger64(int pname)
Overloads glGetInteger64v.

### glGetInteger64

public static void glGetInteger64(int value, int index, LongBuffer data)

### glGetInteger64

public static long glGetInteger64(int value, int index)
Overloads glGetInteger64i_v.

### glGetSync

public static void glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)

### glGetSynci

public static int glGetSynci(GLSync sync, int pname)
Overloads glGetSynciv.

### glGetBufferParameter

public static void glGetBufferParameter(int target, int pname, LongBuffer params)

### glGetBufferParameteri64

public static long glGetBufferParameteri64(int target, int pname)
Overloads glGetBufferParameteri64v.

### glGenSamplers

public static void glGenSamplers(IntBuffer samplers)

### glGenSamplers

public static int glGenSamplers()
Overloads glGenSamplers.

### glDeleteSamplers

public static void glDeleteSamplers(IntBuffer samplers)

### glDeleteSamplers

public static void glDeleteSamplers(int sampler)
Overloads glDeleteSamplers.

### glIsSampler

public static boolean glIsSampler(int sampler)

### glBindSampler

public static void glBindSampler(int unit, int sampler)

### glSamplerParameteri

public static void glSamplerParameteri(int sampler, int pname, int param)

### glSamplerParameterf

public static void glSamplerParameterf(int sampler, int pname, float param)

### glSamplerParameter

public static void glSamplerParameter(int sampler, int pname, IntBuffer params)

### glSamplerParameter

public static void glSamplerParameter(int sampler, int pname, FloatBuffer params)

### glGetSamplerParameter

public static void glGetSamplerParameter(int sampler, int pname, IntBuffer params)

### glGetSamplerParameteri

public static int glGetSamplerParameteri(int sampler, int pname)
Overloads glGetSamplerParameteriv.

### glGetSamplerParameter

public static void glGetSamplerParameter(int sampler, int pname, FloatBuffer params)

### glGetSamplerParameterf

public static float glGetSamplerParameterf(int sampler, int pname)
Overloads glGetSamplerParameterfv.

### glVertexAttribDivisor

public static void glVertexAttribDivisor(int index, int divisor)

### glBindTransformFeedback

public static void glBindTransformFeedback(int target, int id)

### glDeleteTransformFeedbacks

public static void glDeleteTransformFeedbacks(IntBuffer ids)

### glDeleteTransformFeedbacks

public static void glDeleteTransformFeedbacks(int id)
Overloads glDeleteTransformFeedbacks.

### glGenTransformFeedbacks

public static void glGenTransformFeedbacks(IntBuffer ids)

### glGenTransformFeedbacks

public static int glGenTransformFeedbacks()
Overloads glGenTransformFeedbacks.

### glIsTransformFeedback

public static boolean glIsTransformFeedback(int id)

### glPauseTransformFeedback

public static void glPauseTransformFeedback()

### glResumeTransformFeedback

public static void glResumeTransformFeedback()

### glGetProgramBinary

public static void glGetProgramBinary(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)

### glProgramBinary

public static void glProgramBinary(int program, int binaryFormat, ByteBuffer binary)

### glProgramParameteri

public static void glProgramParameteri(int program, int pname, int value)

### glInvalidateFramebuffer

public static void glInvalidateFramebuffer(int target, IntBuffer attachments)

### glInvalidateSubFramebuffer

public static void glInvalidateSubFramebuffer(int target, IntBuffer attachments, int x, int y, int width, int height)

### glTexStorage2D

public static void glTexStorage2D(int target, int levels, int internalformat, int width, int height)

### glTexStorage3D

public static void glTexStorage3D(int target, int levels, int internalformat, int width, int height, int depth)

### glGetInternalformat

public static void glGetInternalformat(int target, int internalformat, int pname, IntBuffer params)

### glGetInternalformat

public static int glGetInternalformat(int target, int internalformat, int pname)
Overloads glGetInternalformativ.